Core - Task # 58843

Story # 58777 (Accepted): Fixes/Tasks for impexp / distributions

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-05-15 Assigned To: Marc Bastian Heinrichs
Updated: 2015-01-29 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Fix imports for fields of type input with link wizard

Description

Fields of type import and link wizard could also contain a path to a local file in addition to a direct file reference (file:42). The refindex
correctly analyse this and saves a db relation to the uid of the sys_file records.

But on imports this is not correct resolved back, but a value "sys_file_{uid}" is saved.

Associated revisions

Revision 09b82e3d - 2015-01-29 20:37 - Marc Bastian Heinrichs

[BUGFIX] Fix import for fields of type input with link wizard

Fields of type import and link wizard could also contain a path to
a local file in addition to a direct file reference (file:42). The
refindex correctly analyse this relation and saves a db relation to
the uid of the sys_file records.

On imports this is not correct resolved back, but a value

"sys_file_{uid}" is saved.

In addition this patch fixes also a redundant inclusion of files
stored in fileadmin for such a field type, because of having a

sys_file db relation and a softreference.

Resolves: #58843

Releases: master, 6.2

Change-Id: 132bb0e82212295f71c22dfa4935d7d940eb3c95e
Reviewed-on: http://review.typo3.org/30171

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision 576¢4d33 - 2015-01-29 21:10 - Marc Bastian Heinrichs

[BUGFIX] Fix import for fields of type input with link wizard

Fields of type import and link wizard could also contain a path to
a local file in addition to a direct file reference (file:42). The
refindex correctly analyse this relation and saves a db relation to
the uid of the sys_file records.

On imports this is not correct resolved back, but a value
"sys_file_{uid}" is saved.

In addition this patch fixes also a redundant inclusion of files
stored in fileadmin for such a field type, because of having a
sys_file db relation and a softreference.

Change-Id: 11399006b44f6a9365a92e42911cc3daaa8a81d89
Resolves: #58843

Releases: master, 6.2

Reviewed-on: http:/review.typo3.org/36384

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2014-05-15 18:34 - Marc Bastian Heinrichs

- Subject changed from Fix imports for fields of type import and link wizard to Fix imports for fields of type input with link wizard

#2 - 2014-05-16 09:22 - Marc Bastian Heinrichs
- Tracker changed from Task to Bug

#3 - 2014-05-16 12:41 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/30171

#4 - 2014-05-16 12:44 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30171

#5 - 2014-05-16 13:49 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/30171

#6 - 2015-01-03 21:41 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/30171

#7 - 2015-01-29 20:02 - Gerrit Code Review
Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/30171

#8 - 2015-01-29 21:00 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:09b82e3d9d8c5b3c2e55302485b1f537b5422831.

#9 - 2015-01-29 21:10 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/36384

#10 - 2015-01-29 21:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved

Applied in changeset commit:576c4d33241d8402db6fbf1e3cef6bc4fb5fb548.

2015-08-04 3/3


http://review.typo3.org/30171
http://review.typo3.org/36384

